Genivia - saml2__EvidenceType Struct Reference

|  | Home | Documentation | saml2__EvidenceType Struct Reference updated Thu Apr 15 2021 by Robert van Engelen |

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Members

Classes | Public Attributes | List of all members
saml2__EvidenceType Struct Reference

"urn:oasis:names:tc:SAML:2.0:assertion":EvidenceType is a complexType. More...

`#include <saml2.h>`

Collaboration diagram for saml2__EvidenceType:
[legend]

## Classes
struct | __saml2__union_EvidenceType

## Public Attributes
int | __size_EvidenceType
struct saml2__EvidenceType::__saml2__union_EvidenceType * | __union_EvidenceType

## Detailed Description

"urn:oasis:names:tc:SAML:2.0:assertion":EvidenceType is a complexType.

Note
  struct saml2__EvidenceType operations:
  - saml2__EvidenceType* soap_new_saml2__EvidenceType(struct soap*, int num) allocate and default initialize one or more values (an array)
  - soap_default_saml2__EvidenceType(struct soap*, saml2__EvidenceType*) default initialize members
  - int soap_read_saml2__EvidenceType(struct soap*, saml2__EvidenceType*) deserialize from a source
  - int soap_write_saml2__EvidenceType(struct soap*, saml2__EvidenceType*) serialize to a sink
  - saml2__EvidenceType* soap_dup_saml2__EvidenceType(struct soap*, saml2__EvidenceType* dst, saml2__EvidenceType <em>src) returns deep copy of saml2__EvidenceType src into dst, copies the (cyclic) graph structure when a context is provided, or (cycle-pruned) tree structure with soap_set_mode(soap, SOAP_XML_TREE) (use soapcpp2 -Ec)
  - soap_del_saml2__EvidenceType(saml2__EvidenceType) deep deletes saml2__EvidenceType data members, use only on dst after soap_dup_saml2__EvidenceType(NULL, saml2__EvidenceType *dst, saml2__EvidenceType *src) (use soapcpp2 -Ed)

## Member Data Documentation

int saml2__EvidenceType::__size_EvidenceType

struct saml2__EvidenceType::__saml2__union_EvidenceType * saml2__EvidenceType::__union_EvidenceType

The documentation for this struct was generated from the following file:

- saml2.h